VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::BackupTypes::BackupRequest Class Reference

`Backup.BackupRequest` class Structure representing requested backup piece More...

List of all members.

## Public Member Functions
| BackupRequest ()
| Creates a default new instance.
global::System.Collections.Generic.List < string > | GetParts ()
| a list of optional parts.
void | SetParts (global::System.Collections.Generic.List< string > parts)
| a list of optional parts.
char[] | GetBackupPassword ()
| a password for a backup piece The backupPassword must adhere to the following password requirements: At least 8 characters, cannot be more than 20 characters in length.
void | SetBackupPassword (char[] backupPassword)
| a password for a backup piece The backupPassword must adhere to the following password requirements: At least 8 characters, cannot be more than 20 characters in length.
vmware.appliance.recovery.BackupTypes.LocationType | GetLocationType ()
| a type of location
void | SetLocationType (vmware.appliance.recovery.BackupTypes.LocationType locationType)
| a type of location
string | GetLocation ()
| path or url
void | SetLocation (string location)
| path or url
string | GetLocationUser ()
| username for location
void | SetLocationUser (string locationUser)
| username for location
char[] | GetLocationPassword ()
| password for location
void | SetLocationPassword (char[] locationPassword)
| password for location
string | GetComment ()
| Custom comment.
void | SetComment (string comment)
| Custom comment.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Backup.BackupRequest` class Structure representing requested backup piece

## Constructor & Destructor Documentation

vmware::appliance::recovery::BackupTypes::BackupRequest::BackupRequest | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::recovery::BackupTypes::BackupRequest::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::recovery::BackupTypes::BackupRequest::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::recovery::BackupTypes::BackupRequest::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::recovery::BackupTypes::BackupRequest::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::recovery::BackupTypes::BackupRequest::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::recovery::BackupTypes::BackupRequest::Equals | ( | object | obj | ) | `[inline]`

char [] vmware::appliance::recovery::BackupTypes::BackupRequest::GetBackupPassword | ( |  | ) | `[inline]`

a password for a backup piece The backupPassword must adhere to the following password requirements: At least 8 characters, cannot be more than 20 characters in length.

At least 1 uppercase letter. At least 1 lowercase letter. At least 1 numeric digit. At least 1 special character (i.e. any character not in [0-9,a-z,A-Z]). Only visible ASCII characters (for example, no space).

string vmware::appliance::recovery::BackupTypes::BackupRequest::GetComment | ( |  | ) | `[inline]`

Custom comment.

override int vmware::appliance::recovery::BackupTypes::BackupRequest::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::recovery::BackupTypes::BackupRequest::GetLocation | ( |  | ) | `[inline]`

path or url

char [] vmware::appliance::recovery::BackupTypes::BackupRequest::GetLocationPassword | ( |  | ) | `[inline]`

password for location

vmware.appliance.recovery.BackupTypes.LocationType vmware::appliance::recovery::BackupTypes::BackupRequest::GetLocationType | ( |  | ) | `[inline]`

a type of location

string vmware::appliance::recovery::BackupTypes::BackupRequest::GetLocationUser | ( |  | ) | `[inline]`

username for location

global::System.Collections.Generic.List<string> vmware::appliance::recovery::BackupTypes::BackupRequest::GetParts | ( |  | ) | `[inline]`

a list of optional parts.

Run backup parts APIs to get list of optional parts and description

void vmware::appliance::recovery::BackupTypes::BackupRequest::SetBackupPassword | ( | char[] | backupPassword | ) | `[inline]`

a password for a backup piece The backupPassword must adhere to the following password requirements: At least 8 characters, cannot be more than 20 characters in length.

At least 1 uppercase letter. At least 1 lowercase letter. At least 1 numeric digit. At least 1 special character (i.e. any character not in [0-9,a-z,A-Z]). Only visible ASCII characters (for example, no space).

void vmware::appliance::recovery::BackupTypes::BackupRequest::SetComment | ( | string | comment | ) | `[inline]`

Custom comment.

void vmware::appliance::recovery::BackupTypes::BackupRequest::SetLocation | ( | string | location | ) | `[inline]`

path or url

void vmware::appliance::recovery::BackupTypes::BackupRequest::SetLocationPassword | ( | char[] | locationPassword | ) | `[inline]`

password for location

void vmware::appliance::recovery::BackupTypes::BackupRequest::SetLocationType | ( | vmware.appliance.recovery.BackupTypes.LocationType | locationType | ) | `[inline]`

a type of location

void vmware::appliance::recovery::BackupTypes::BackupRequest::SetLocationUser | ( | string | locationUser | ) | `[inline]`

username for location

void vmware::appliance::recovery::BackupTypes::BackupRequest::SetParts | ( | global::System.Collections.Generic.List< string > | parts | ) | `[inline]`

a list of optional parts.

Run backup parts APIs to get list of optional parts and description

override string vmware::appliance::recovery::BackupTypes::BackupRequest::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- BackupTypes.cs